Bug 14862 - Upgrade jQuery from 1.7 to 3.4.1 in OPAC
Summary: Upgrade jQuery from 1.7 to 3.4.1 in OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 20168
  Show dependency treegraph
 
Reported: 2015-09-21 09:34 UTC by Mason James
Modified: 2019-10-07 15:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 14862: (follow-up) Add minified version of jQuery 3.4.1 (439.11 KB, patch)
2019-10-07 14:02 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2015-09-21 09:34:20 UTC
This change is needed to allow bug 10659 to progress
 http://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=10659
Comment 1 Owen Leonard 2019-08-16 15:03:06 UTC
This is ready for testing, bug Bugzilla rejects the patches because of the size. I've posted the branch here:

https://gitlab.com/koha-dev/koha-dev/tree/bug-14862-opac-jquery-upgrade

I have also put a downloadable patch here in case that helps: https://zivotdesign.com/download/bug-14862.patch
Comment 2 Lucas Gass 2019-08-16 20:43:05 UTC
Is there any test plan for this?
Comment 3 Owen Leonard 2019-08-18 22:25:41 UTC
(In reply to Lucas Gass from comment #2)
> Is there any test plan for this?

Sorry, I'm used to the patch attachment doing this for me. Here it is:

This patch upgrades jQuery to 3.4.1, jQuery-UI to 1.12.1, and adds the
jQuery-migrate plugin to ensure backwards-compatibility with existing
jQuery plugins and code. An updated of jquery-ui-rtl.css has been
created by converting the new version of jquery-ui.css.

All jQuery assets are now include the version number in the file name
just as we now do in the staff client.

Besides updating file names in the templates, there was only one change
made: opac-results.tt had a typo which has been corrected.

To test, apply the patch and test as many different pages in the OPAC as
possible, including self-checkout and self checkin. Keep the browser
console open and watch for JavaScript errors. All JavaScript-driven
behavior should work correctly. For instance:

 - Tabs
 - Datepickers
 - Select all/none operations
 - Cart and lists popups
 - Search result highlighting
Comment 4 Martin Renvoize 2019-10-02 22:35:21 UTC
I've checked out the branch (and rebased it to check it still applies simply).

All seems to work well, no obvious regressions.. signing off.
Comment 5 Katrin Fischer 2019-10-03 08:24:45 UTC
Ready to pass QA from testing - Pages all look good and behave well for me.

Just one thing: Although the file has the .min. in the name, it's not actually minified. Can you please check and follow-up? 

If you want, you can already add my sign-off line :)
Comment 6 Owen Leonard 2019-10-07 14:02:06 UTC
Created attachment 93823 [details] [review]
Bug 14862: (follow-up) Add minified version of jQuery 3.4.1

This patch updates the file 'jquery-3.4.1.min.js' so that it is indeed
minified.
Comment 7 Katrin Fischer 2019-10-07 14:43:07 UTC
Asking the RM to take care of the Sign-off lines, please!
Comment 8 Martin Renvoize 2019-10-07 15:21:46 UTC
Nice work!

Pushed to master for 19.11.00